apiVersion: apps/v1
kind: DaemonSet
metadata:
  annotations:
    deprecated.daemonset.template.generation: "4"
  creationTimestamp: "2021-05-19T13:35:54Z"
  generation: 4
  labels:
    component: fluentd
    logging-infra: fluentd
    provider: openshift
  managedFields:
  - apiVersion: apps/v1
    fieldsType: FieldsV1
    fieldsV1:
      f:metadata:
        f:annotations:
          .: {}
          f:deprecated.daemonset.template.generation: {}
        f:labels:
          .: {}
          f:component: {}
          f:logging-infra: {}
          f:provider: {}
        f:ownerReferences:
          .: {}
          k:{"uid":"da789b6e-c529-4dce-9cc1-7e590dce6d13"}:
            .: {}
            f:apiVersion: {}
            f:controller: {}
            f:kind: {}
            f:name: {}
            f:uid: {}
      f:spec:
        f:revisionHistoryLimit: {}
        f:selector: {}
        f:template:
          f:metadata:
            f:annotations:
              .: {}
              f:logging.openshift.io/hash: {}
              f:scheduler.alpha.kubernetes.io/critical-pod: {}
              f:target.workload.openshift.io/management: {}
            f:labels:
              .: {}
              f:component: {}
              f:logging-infra: {}
              f:provider: {}
            f:name: {}
          f:spec:
            f:containers:
              k:{"name":"fluentd"}:
                .: {}
                f:env:
                  .: {}
                  k:{"name":"FLUENT_CONF_HASH"}:
                    .: {}
                    f:name: {}
                    f:value: {}
                  k:{"name":"METRICS_CERT"}:
                    .: {}
                    f:name: {}
                    f:value: {}
                  k:{"name":"METRICS_KEY"}:
                    .: {}
                    f:name: {}
                    f:value: {}
                  k:{"name":"NODE_IPV4"}:
                    .: {}
                    f:name: {}
                    f:valueFrom:
                      .: {}
                      f:fieldRef:
                        .: {}
                        f:apiVersion: {}
                        f:fieldPath: {}
                  k:{"name":"NODE_NAME"}:
                    .: {}
                    f:name: {}
                    f:valueFrom:
                      .: {}
                      f:fieldRef:
                        .: {}
                        f:apiVersion: {}
                        f:fieldPath: {}
                  k:{"name":"POD_IP"}:
                    .: {}
                    f:name: {}
                    f:valueFrom:
                      .: {}
                      f:fieldRef:
                        .: {}
                        f:apiVersion: {}
                        f:fieldPath: {}
                f:image: {}
                f:imagePullPolicy: {}
                f:name: {}
                f:ports:
                  .: {}
                  k:{"containerPort":24231,"protocol":"TCP"}:
                    .: {}
                    f:containerPort: {}
                    f:name: {}
                    f:protocol: {}
                f:resources:
                  .: {}
                  f:limits:
                    .: {}
                    f:memory: {}
                  f:requests:
                    .: {}
                    f:cpu: {}
                    f:memory: {}
                f:securityContext:
                  .: {}
                  f:privileged: {}
                f:terminationMessagePath: {}
                f:terminationMessagePolicy: {}
                f:volumeMounts:
                  .: {}
                  k:{"mountPath":"/etc/docker"}:
                    .: {}
                    f:mountPath: {}
                    f:name: {}
                    f:readOnly: {}
                  k:{"mountPath":"/etc/fluent/configs.d/secure-forward"}:
                    .: {}
                    f:mountPath: {}
                    f:name: {}
                    f:readOnly: {}
                  k:{"mountPath":"/etc/fluent/configs.d/syslog"}:
                    .: {}
                    f:mountPath: {}
                    f:name: {}
                    f:readOnly: {}
                  k:{"mountPath":"/etc/fluent/configs.d/user"}:
                    .: {}
                    f:mountPath: {}
                    f:name: {}
                    f:readOnly: {}
                  k:{"mountPath":"/etc/fluent/keys"}:
                    .: {}
                    f:mountPath: {}
                    f:name: {}
                    f:readOnly: {}
                  k:{"mountPath":"/etc/fluent/metrics"}:
                    .: {}
                    f:mountPath: {}
                    f:name: {}
                  k:{"mountPath":"/etc/localtime"}:
                    .: {}
                    f:mountPath: {}
                    f:name: {}
                    f:readOnly: {}
                  k:{"mountPath":"/etc/ocp-forward"}:
                    .: {}
                    f:mountPath: {}
                    f:name: {}
                    f:readOnly: {}
                  k:{"mountPath":"/etc/ocp-syslog"}:
                    .: {}
                    f:mountPath: {}
                    f:name: {}
                    f:readOnly: {}
                  k:{"mountPath":"/etc/pki/ca-trust/extracted/pem/"}:
                    .: {}
                    f:mountPath: {}
                    f:name: {}
                    f:readOnly: {}
                  k:{"mountPath":"/etc/sysconfig/docker"}:
                    .: {}
                    f:mountPath: {}
                    f:name: {}
                    f:readOnly: {}
                  k:{"mountPath":"/opt/app-root/src/run.sh"}:
                    .: {}
                    f:mountPath: {}
                    f:name: {}
                    f:readOnly: {}
                    f:subPath: {}
                  k:{"mountPath":"/var/lib/docker"}:
                    .: {}
                    f:mountPath: {}
                    f:name: {}
                    f:readOnly: {}
                  k:{"mountPath":"/var/lib/fluentd"}:
                    .: {}
                    f:mountPath: {}
                    f:name: {}
                  k:{"mountPath":"/var/log"}:
                    .: {}
                    f:mountPath: {}
                    f:name: {}
                  k:{"mountPath":"/var/run/ocp-collector/secrets/fluentd"}:
                    .: {}
                    f:mountPath: {}
                    f:name: {}
            f:dnsPolicy: {}
            f:initContainers:
              .: {}
              k:{"name":"fluentd-init"}:
                .: {}
                f:command: {}
                f:image: {}
                f:imagePullPolicy: {}
                f:name: {}
                f:resources:
                  .: {}
                  f:limits:
                    .: {}
                    f:memory: {}
                  f:requests:
                    .: {}
                    f:cpu: {}
                    f:memory: {}
                f:terminationMessagePath: {}
                f:terminationMessagePolicy: {}
                f:volumeMounts:
                  .: {}
                  k:{"mountPath":"/etc/fluent/keys"}:
                    .: {}
                    f:mountPath: {}
                    f:name: {}
                    f:readOnly: {}
            f:nodeSelector:
              .: {}
              f:kubernetes.io/os: {}
            f:priorityClassName: {}
            f:restartPolicy: {}
            f:schedulerName: {}
            f:securityContext: {}
            f:serviceAccount: {}
            f:serviceAccountName: {}
            f:terminationGracePeriodSeconds: {}
            f:tolerations: {}
            f:volumes:
              .: {}
              k:{"name":"certs"}:
                .: {}
                f:name: {}
                f:secret:
                  .: {}
                  f:defaultMode: {}
                  f:optional: {}
                  f:secretName: {}
              k:{"name":"collector-metrics"}:
                .: {}
                f:name: {}
                f:secret:
                  .: {}
                  f:defaultMode: {}
                  f:secretName: {}
              k:{"name":"config"}:
                .: {}
                f:configMap:
                  .: {}
                  f:defaultMode: {}
                  f:name: {}
                f:name: {}
              k:{"name":"dockercfg"}:
                .: {}
                f:hostPath:
                  .: {}
                  f:path: {}
                  f:type: {}
                f:name: {}
              k:{"name":"dockerdaemoncfg"}:
                .: {}
                f:hostPath:
                  .: {}
                  f:path: {}
                  f:type: {}
                f:name: {}
              k:{"name":"entrypoint"}:
                .: {}
                f:configMap:
                  .: {}
                  f:defaultMode: {}
                  f:name: {}
                f:name: {}
              k:{"name":"filebufferstorage"}:
                .: {}
                f:hostPath:
                  .: {}
                  f:path: {}
                  f:type: {}
                f:name: {}
              k:{"name":"fluentd"}:
                .: {}
                f:name: {}
                f:secret:
                  .: {}
                  f:defaultMode: {}
                  f:secretName: {}
              k:{"name":"fluentd-trusted-ca-bundle"}:
                .: {}
                f:configMap:
                  .: {}
                  f:defaultMode: {}
                  f:items: {}
                  f:name: {}
                f:name: {}
              k:{"name":"localtime"}:
                .: {}
                f:hostPath:
                  .: {}
                  f:path: {}
                  f:type: {}
                f:name: {}
              k:{"name":"secureforwardcerts"}:
                .: {}
                f:name: {}
                f:secret:
                  .: {}
                  f:defaultMode: {}
                  f:optional: {}
                  f:secretName: {}
              k:{"name":"secureforwardconfig"}:
                .: {}
                f:configMap:
                  .: {}
                  f:defaultMode: {}
                  f:name: {}
                  f:optional: {}
                f:name: {}
              k:{"name":"syslogcerts"}:
                .: {}
                f:name: {}
                f:secret:
                  .: {}
                  f:defaultMode: {}
                  f:optional: {}
                  f:secretName: {}
              k:{"name":"syslogconfig"}:
                .: {}
                f:configMap:
                  .: {}
                  f:defaultMode: {}
                  f:name: {}
                  f:optional: {}
                f:name: {}
              k:{"name":"varlibdockercontainers"}:
                .: {}
                f:hostPath:
                  .: {}
                  f:path: {}
                  f:type: {}
                f:name: {}
              k:{"name":"varlog"}:
                .: {}
                f:hostPath:
                  .: {}
                  f:path: {}
                  f:type: {}
                f:name: {}
        f:updateStrategy:
          f:rollingUpdate:
            .: {}
            f:maxUnavailable: {}
          f:type: {}
    manager: cluster-logging-operator
    operation: Update
    time: "2021-07-22T14:38:04Z"
  - apiVersion: apps/v1
    fieldsType: FieldsV1
    fieldsV1:
      f:status:
        f:currentNumberScheduled: {}
        f:desiredNumberScheduled: {}
        f:numberAvailable: {}
        f:numberMisscheduled: {}
        f:numberReady: {}
        f:observedGeneration: {}
        f:updatedNumberScheduled: {}
    manager: kube-controller-manager
    operation: Update
    time: "2021-07-23T08:51:19Z"
  name: fluentd
  namespace: openshift-logging
  ownerReferences:
  - apiVersion: logging.openshift.io/v1
    controller: true
    kind: ClusterLogging
    name: instance
    uid: da789b6e-c529-4dce-9cc1-7e590dce6d13
  resourceVersion: "321392951"
  selfLink: /apis/apps/v1/namespaces/openshift-logging/daemonsets/fluentd
  uid: 4efbf457-df2e-473b-ab19-25d7b3cfe197
spec:
  revisionHistoryLimit: 10
  selector:
    matchLabels:
      component: fluentd
      logging-infra: fluentd
      provider: openshift
  template:
    metadata:
      annotations:
        logging.openshift.io/hash: c65777c5a76db7a209a3ba5e6c5590cb
        scheduler.alpha.kubernetes.io/critical-pod: ""
        target.workload.openshift.io/management: '{"effect": "PreferredDuringScheduling"}'
      creationTimestamp: null
      labels:
        component: fluentd
        logging-infra: fluentd
        provider: openshift
      name: fluentd
    spec:
      containers:
      - env:
        - name: NODE_NAME
          valueFrom:
            fieldRef:
              apiVersion: v1
              fieldPath: spec.nodeName
        - name: METRICS_CERT
          value: /etc/fluent/metrics/tls.crt
        - name: METRICS_KEY
          value: /etc/fluent/metrics/tls.key
        - name: NODE_IPV4
          valueFrom:
            fieldRef:
              apiVersion: v1
              fieldPath: status.hostIP
        - name: POD_IP
          valueFrom:
            fieldRef:
              apiVersion: v1
              fieldPath: status.podIP
        - name: FLUENT_CONF_HASH
          value: fe7133b36bcd78f9279f8877a39d03cf
        image: registry.redhat.io/openshift-logging/fluentd-rhel8@sha256:ca65376aa2b7c0eb4d415722b9bd353fdde10f3a46bda5e9f4a6a633480e5fcc
        imagePullPolicy: IfNotPresent
        name: fluentd
        ports:
        - containerPort: 24231
          name: metrics
          protocol: TCP
        resources:
          limits:
            memory: 736Mi
          requests:
            cpu: 100m
            memory: 736Mi
        securityContext:
          privileged: true
        terminationMessagePath: /dev/termination-log
        terminationMessagePolicy: File
        volumeMounts:
        - mountPath: /var/log
          name: varlog
        - mountPath: /var/lib/docker
          name: varlibdockercontainers
          readOnly: true
        - mountPath: /etc/fluent/configs.d/user
          name: config
          readOnly: true
        - mountPath: /etc/fluent/configs.d/secure-forward
          name: secureforwardconfig
          readOnly: true
        - mountPath: /etc/ocp-forward
          name: secureforwardcerts
          readOnly: true
        - mountPath: /etc/fluent/configs.d/syslog
          name: syslogconfig
          readOnly: true
        - mountPath: /etc/ocp-syslog
          name: syslogcerts
          readOnly: true
        - mountPath: /opt/app-root/src/run.sh
          name: entrypoint
          readOnly: true
          subPath: run.sh
        - mountPath: /etc/fluent/keys
          name: certs
          readOnly: true
        - mountPath: /etc/localtime
          name: localtime
          readOnly: true
        - mountPath: /etc/sysconfig/docker
          name: dockercfg
          readOnly: true
        - mountPath: /etc/docker
          name: dockerdaemoncfg
          readOnly: true
        - mountPath: /var/lib/fluentd
          name: filebufferstorage
        - mountPath: /etc/fluent/metrics
          name: collector-metrics
        - mountPath: /var/run/ocp-collector/secrets/fluentd
          name: fluentd
        - mountPath: /etc/pki/ca-trust/extracted/pem/
          name: fluentd-trusted-ca-bundle
          readOnly: true
      dnsPolicy: ClusterFirst
      initContainers:
      - command:
        - ./wait_for_es_version.sh
        - "6"
        - https://elasticsearch.openshift-logging.svc:9200
        image: registry.redhat.io/openshift-logging/fluentd-rhel8@sha256:ca65376aa2b7c0eb4d415722b9bd353fdde10f3a46bda5e9f4a6a633480e5fcc
        imagePullPolicy: IfNotPresent
        name: fluentd-init
        resources:
          limits:
            memory: 736Mi
          requests:
            cpu: 100m
            memory: 736Mi
        terminationMessagePath: /dev/termination-log
        terminationMessagePolicy: File
        volumeMounts:
        - mountPath: /etc/fluent/keys
          name: certs
          readOnly: true
      nodeSelector:
        kubernetes.io/os: linux
      priorityClassName: cluster-logging
      restartPolicy: Always
      schedulerName: default-scheduler
      securityContext: {}
      serviceAccount: logcollector
      serviceAccountName: logcollector
      terminationGracePeriodSeconds: 10
      tolerations:
      - effect: NoSchedule
        key: node-role.kubernetes.io/master
        operator: Exists
      - effect: NoSchedule
        key: node.kubernetes.io/disk-pressure
        operator: Exists
      volumes:
      - hostPath:
          path: /var/log
          type: ""
        name: varlog
      - hostPath:
          path: /var/lib/docker
          type: ""
        name: varlibdockercontainers
      - configMap:
          defaultMode: 420
          name: fluentd
        name: config
      - configMap:
          defaultMode: 420
          name: secure-forward
          optional: true
        name: secureforwardconfig
      - name: secureforwardcerts
        secret:
          defaultMode: 420
          optional: true
          secretName: secure-forward
      - configMap:
          defaultMode: 420
          name: syslog
          optional: true
        name: syslogconfig
      - name: syslogcerts
        secret:
          defaultMode: 420
          optional: true
          secretName: syslog
      - configMap:
          defaultMode: 420
          name: fluentd
        name: entrypoint
      - name: certs
        secret:
          defaultMode: 420
          optional: true
          secretName: fluentd
      - hostPath:
          path: /etc/localtime
          type: ""
        name: localtime
      - hostPath:
          path: /etc/sysconfig/docker
          type: ""
        name: dockercfg
      - hostPath:
          path: /etc/docker
          type: ""
        name: dockerdaemoncfg
      - hostPath:
          path: /var/lib/fluentd
          type: ""
        name: filebufferstorage
      - name: collector-metrics
        secret:
          defaultMode: 420
          secretName: fluentd-metrics
      - name: fluentd
        secret:
          defaultMode: 420
          secretName: fluentd
      - configMap:
          defaultMode: 420
          items:
          - key: ca-bundle.crt
            path: tls-ca-bundle.pem
          name: fluentd-trusted-ca-bundle
        name: fluentd-trusted-ca-bundle
  updateStrategy:
    rollingUpdate:
      maxUnavailable: 1
    type: RollingUpdate
status:
  currentNumberScheduled: 11
  desiredNumberScheduled: 11
  numberAvailable: 11
  numberMisscheduled: 0
  numberReady: 11
  observedGeneration: 4
  updatedNumberScheduled: 11
